package com.logicbig.example;

import org.springframework.boot.Banner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.context.ConfigurableApplicationContext;

@EnableAutoConfiguration
public class DebugModeExample {

    public static void main (String[] args) {
        //just doing programmatically for demo
        String[] appArgs = {"--debug"};
        //  System.setProperty("debug", "");

        SpringApplication app = new SpringApplication(DebugModeExample.class);
        app.setBannerMode(Banner.Mode.OFF);
        app.setLogStartupInfo(false);
        ConfigurableApplicationContext c = app.run(appArgs);
    }
}